For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
HomeAPI Reference
HomeAPI Reference
  • Overview
    • API Overview
  • Vlens API
      • POSTCheck for duplicate accounts
      • POSTSend or validate phone OTP
      • POSTSend or validate email OTP
      • POSTComplete registration
      • POSTVerify OAuth token during registration
      • POSTVerify OAuth token (skip email at registration)
Dashboard
LogoLogo
Vlens APIRegistration

Send or validate phone OTP

||View as Markdown|
POST
https://api.vlenseg.com/api/DigitalIdentity/Register/StepVerifyPhone
POST
/api/DigitalIdentity/Register/StepVerifyPhone
$curl -X POST https://api.vlenseg.com/api/DigitalIdentity/Register/StepVerifyPhone \
> -H "ApiKey: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "phoneNumber": "+201234567890",
> "smsProviders": 0
>}'
200Send OTP
1{
2 "data": {
3 "isEmailConfirmationRequired": true,
4 "isEmailConfirmed": true,
5 "isPhoneNumberConfirmationRequired": true,
6 "isPhoneNumberConfirmed": true,
7 "phoneNumberOtp": "string",
8 "phoneNumberOtpRequestId": "string",
9 "isDigitalIdentityVerified": true,
10 "accessToken": "string",
11 "encryptedAccessToken": "string",
12 "expireInSeconds": 1,
13 "userName": "string",
14 "userFullName": "string",
15 "user": {
16 "id": 1,
17 "name": "string",
18 "surname": "string",
19 "fullName": "string",
20 "userName": "string",
21 "emailAddress": "string",
22 "phoneNumber": "string",
23 "idNumber": "string",
24 "address": "string"
25 }
26 },
27 "error_code": 1,
28 "error_message": "string",
29 "error_descriptions": null
30}
This single endpoint handles both sending and validating the phone OTP depending on which fields you provide. **Send OTP** (first call): Provide `phoneNumber` and optionally `smsProviders`. Save the `phoneNumberOtpRequestId` from the response. **Validate OTP** (second call): Provide `phoneNumber`, `phoneNumberOtpRequestId`, and `phoneNumberOtp`.
Was this page helpful?
Previous

Check for duplicate accounts

Next

Send or validate email OTP

Built with

This single endpoint handles both sending and validating the phone OTP depending on which fields you provide.

Send OTP (first call): Provide phoneNumber and optionally smsProviders. Save the phoneNumberOtpRequestId from the response.

Validate OTP (second call): Provide phoneNumber, phoneNumberOtpRequestId, and phoneNumberOtp.

Authentication

ApiKeystring
Static API key issued to your tenant. Obtain from the Vlens dashboard.

Request

This endpoint expects an object.
phoneNumberstringRequired
smsProvidersinteger or nullOptional

SMS gateway to use for OTP delivery (omit to use tenant default):

  • 1 — Infobip
  • 2 — Vodafone
  • 3 — Cequens
  • 4 — Victory Link
  • 5 — BroadNet
  • 6 — Ezagel
  • 7 — Orange
phoneNumberOtpRequestIdstring or nullOptionalformat: "uuid"

Required on the validate call. Value returned by the send call.

phoneNumberOtpstring or nullOptional
The OTP code entered by the user. Required on the validate call.

Response

OTP sent or validated. On send, save phoneNumberOtpRequestId for the next call.

dataobject
error_codeinteger or null
error_messagestring or null
error_descriptionsany or null